For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • POSTAdd cost lines in batch
      • GETList normalized costs
      • DELDelete cost line
      • PATCHUpdate a cost line
      • POSTBind a cost line to an asset(s)
      • POSTUnbind a cost line to an asset(s)
      • GETList Cost Categories
      • GETGet Cost Category
      • DELDelete Cost Category
      • PATCHUpdate Cost Category
      • POSTAdd Cost Category
Trebellar Platform
LogoLogo
API ResourcesCosts

Get Cost Category

||View as Markdown|
GET
https://api.trebellar.app/api/v2/costs/categories/:costCategoryId
GET
/api/v2/costs/categories/:costCategoryId
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.costs.getCostCategory("costCategoryId");
8}
9main();
1{
2 "data": {
3 "externalId": "string",
4 "name": "string",
5 "parentId": "string",
6 "id": "string",
7 "color": "string"
8 }
9}
Retrieve a specific cost category by its ID.
Was this page helpful?
Previous

List Cost Categories

Next

Delete Cost Category

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

costCategoryIdstringRequired

Response

Cost category retrieved successfully
dataobject

Errors

404
Not Found Error
500
Internal Server Error